loci.formats.meta

## Interface IPyramidStore

- All Known Implementing Classes:
    OMEPyramidStore

      public interface IPyramidStore

  Interface for defining pyramid resolutions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getResolutionCount(int image)` Retrieve the number of pyramid resolutions defined for the given Image.
    `ome.xml.model.primitives.PositiveInteger` | `getResolutionSizeX(int image, int resolution)` Retrieve the image width in pixels of the given pyramid resolution.
    `ome.xml.model.primitives.PositiveInteger` | `getResolutionSizeY(int image, int resolution)` Retrieve the image height in pixels of the given pyramid resolution.
    `void` | `setResolutionSizeX(ome.xml.model.primitives.PositiveInteger sizeX, int image, int resolution)` Define the image width in pixels of the given pyramid resolution.
    `void` | `setResolutionSizeY(ome.xml.model.primitives.PositiveInteger sizeY, int image, int resolution)` Define the image height in pixels of the given pyramid resolution.

- - ### Method Detail

    - #### setResolutionSizeX

          void setResolutionSizeX(ome.xml.model.primitives.PositiveInteger sizeX,
                                  int image,
                                  int resolution)

      Define the image width in pixels of the given pyramid resolution. Both width and height must be defined for each desired resolution.
      Parameters:
        `sizeX` - the image width in pixels
        `image` - the Image (series) index
        `resolution` - the resolution index; expected to be greater than 0 as the largest resolution is defined by the Image itself.
      See Also:
        `setResolutionSizeY(PositiveInteger, int, int)`

    - #### setResolutionSizeY

          void setResolutionSizeY(ome.xml.model.primitives.PositiveInteger sizeY,
                                  int image,
                                  int resolution)

      Define the image height in pixels of the given pyramid resolution. Both width and height must be defined for each desired resolution.
      Parameters:
        `sizeY` - the image height in pixels
        `image` - the Image (series) index
        `resolution` - the resolution index; expected to be greater than 0 as the largest resolution is defined by the Image itself.
      See Also:
        `setResolutionSizeX(PositiveInteger, int, int)`

    - #### getResolutionCount

          int getResolutionCount(int image)

      Retrieve the number of pyramid resolutions defined for the given Image.
      Parameters:
        `image` - the Image (series) index
      Returns:
        the number of valid pyramid resolutions, including the largest resolution; expected to be positive if the Image index is valid.

    - #### getResolutionSizeX

          ome.xml.model.primitives.PositiveInteger getResolutionSizeX(int image,
                                                                      int resolution)

      Retrieve the image width in pixels of the given pyramid resolution.
      Parameters:
        `image` - the Image (series) index
        `resolution` - the resolution index; expected to be greater than 0 as the largest resolution is defined by the Image itself.
      Returns:
        the width in pixels, or null if either index is invalid

    - #### getResolutionSizeY

          ome.xml.model.primitives.PositiveInteger getResolutionSizeY(int image,
                                                                      int resolution)

      Retrieve the image height in pixels of the given pyramid resolution.
      Parameters:
        `image` - the Image (series) index
        `resolution` - the resolution index; expected to be greater than 0 as the largest resolution is defined by the Image itself.
      Returns:
        the height in pixels, or null if either index is invalid

Copyright © 2026 Open Microscopy Environment